nameOverride: "nexus-repository-manager"

nexus:
  docker:
    enabled: true
    registries:
      - host: chart.local
        port: 5000
        secretName: registry-secret
        nodePort: 30500
  env:
    - name: INSTALL4J_ADD_VM_PARAMS
      value: |-
        -Xms2703M -Xmx2703M
        -XX:MaxDirectMemorySize=2703M
        -XX:ActiveProcessorCount=4
        -XX:+UnlockExperimentalVMOptions
        -XX:+UseCGroupMemoryLimitForHeap
        -Djava.util.prefs.userRoot=/nexus-data/javaprefs
    - name: NEXUS_SECURITY_RANDOMPASSWORD
      value: "true"
  resources: 
    requests:
      cpu: 500m
      memory: 2048Mi
    limits:
      cpu: 4000m
      memory: 8192Mi
  livenessProbe:
    initialDelaySeconds: 300
  readinessProbe:
    initialDelaySeconds: 300

service:
  type: NodePort
  nodePort: 32080

persistence:
  storageClass: "nfs-provisioner-mgmt"
